Subject: Re: [PATCH 1/4] fs: always build llseek.

From: Michal Suchánek <[email-masked]>
Date: Wed, 28 Aug 2019 18:15:40 +0200

On Wed, 28 Aug 2019 08:15:52 -0700
Christoph Hellwig <[email-masked]> wrote:

> On Tue, Aug 27, 2019 at 10:21:06PM +0200, Michal Suchanek wrote:
> > 64bit !COMPAT does not build because the llseek syscall is in the tables.  
> 
> Well, this will bloat thinkgs like 64-bit RISC-V for no good reason.
> Please introduce a WANT_LSEEK like symbol that ppc64 can select instead.

It also builds when llseek is marked as 32bit only in syscall.tbl

It seems it was handled specially in some way before syscall.tbl was
added, though (removed in ab66dcc76d6ab8fae9d69d149ae38c42605e7fc5)

Thanks

Michal